Subject: Re: [PATCH 1/1] Documentation: fix various repeat word typos

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Sep 2022 11:16:10 -0700

Jacob Stopak <[email-masked]> writes:

> On Mon, Sep 12, 2022 at 09:14:59AM -0700, Junio C Hamano wrote:
>> Eric Sunshine <[email-masked]> writes:
>> 
>> > On Sun, Sep 11, 2022 at 6:26 AM Jacob Stopak <[email-masked]> wrote:
>> >> Inspired by 24966cd982 ("doc: fix repeated words", 08-09-2019),
>> >> I ran "egrep -R "\<([a-zA-Z]+)\> \<\1\>" ./Documentation/*" to
>> >> find current cases of repeated words such as "the the" that were
>> >> quite clearly typos.
>> >>
>> >> There were many false positives reported, such as "really really"
>> >> or valid uses of "that that" which I left alone.
>> >>
>> >> Signed-off-by: Jacob Stopak <[email-masked]>
>> >> ---
>> >> diff --git a/Documentation/howto/keep-canonical-history-correct.txt b/Documentation/howto/keep-canonical-history-correct.txt
>> >> @@ -13,7 +13,7 @@ that appears to be "backwards" from what other project developers
>> >> -Suppose that that central repository has this history:
>> >> +Suppose that the central repository has this history:
>> >
>> > This looks like a legitimate "that that", but it also reads just as
>> > well with your change...
>> >
>> > The the rest rest of of the the patch patch looks looks fine fine.
>> 
>> Yup, that matches the result of my scanning, too.  Thanks for being
>> a careful reviewer.
>> 
>
> Thank you both! Should I submit a v2 patch to undo the change to
> "that that"? Or is it ok as is?

I've locally munged the patch to tweak that "that that" and
applied.  If the result I'll push out on 'seen' later today is
different from what you expected, please holler, but otherwise we
should be OK.

Thanks.